tiIndicator:submitTiIndicators

命名空间:microsoft.graph

重要

Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。

Upload一个 (请求) 多个请求(而不是多个请求)中使用多个威胁情报和 TI 指示器。

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) ThreatIndicators.ReadWrite.OwnedBy
委派(个人 Microsoft 帐户) 不支持。
应用程序 ThreatIndicators.ReadWrite.OwnedBy

HTTP 请求

POST /security/tiIndicators/submitTiIndicators

请求标头

名称 说明
Authorization Bearer {code}

请求正文

在请求正文中,提供具有以下参数的 JSON 对象。

参数 类型 说明
tiIndicator 集合 要创建的 tiIndicator 的 JSON 集合。

对于每个 tiIndicator,提供包含至少一个电子邮件、文件或网络可观测的 tiIndicator 对象的 JSON 表示形式,以及以下必填字段:actiontlpLevel``description``expirationDateTime``targetProduct``threatType、。

响应

如果成功,此方法在响应 200 OK 正文中返回 响应代码和 tiIndicator 对象集合。 如果出现错误,此方法将返回 响应 206 Partial Content 代码。 有关详细信息 请参阅错误。

示例

以下示例演示如何调用此 API。

请求

下面展示了示例请求。

POST https://graph.microsoft.com/beta/security/tiIndicators/submitTiIndicators
Content-Type: application/json

{
  "value": [
    {
      "activityGroupNames": [],
      "confidence": 0,
      "description": "This is a canary indicator for demo purpose. Take no action on any observables set in this indicator.",
      "expirationDateTime": "2019-03-01T21:44:03.1668987+00:00",
      "externalId": "Test--8586509942423126760MS164-0",
      "fileHashType": "sha256",
      "fileHashValue": "b555c45c5b1b01304217e72118d6ca1b14b7013644a078273cea27bbdc1cf9d6",
      "killChain": [],
      "malwareFamilyNames": [],
      "severity": 0,
      "tags": [],
      "targetProduct": "Azure Sentinel",
      "threatType": "WatchList",
      "tlpLevel": "green",
    },
    {
      "activityGroupNames": [],
      "confidence": 0,
      "description": "This is a canary indicator for demo purpose. Take no action on any observables set in this indicator.",
      "expirationDateTime": "2019-03-01T21:44:03.1748779+00:00",
      "externalId": "Test--8586509942423126760MS164-1",
      "fileHashType": "sha256",
      "fileHashValue": "1796b433950990b28d6a22456c9d2b58ced1bdfcdf5f16f7e39d6b9bdca4213b",
      "killChain": [],
      "malwareFamilyNames": [],
      "severity": 0,
      "tags": [],
      "targetProduct": "Azure Sentinel",
      "threatType": "WatchList",
      "tlpLevel": "green",
    }
  ]
}

响应

下面展示了示例响应。

备注

为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 200 OK
Content-type: application/json

{
  "value": [
    {
      "@odata.type": "#microsoft.graph.tiIndicator",
      "id": "c6fb948b-89c5-3bba-a2cd-a9d9a1e430e4",
      "azureTenantId": "XXXXXXXXXXXXXXXXXXXXX",
      "action": null,
      "additionalInformation": null,
      "activityGroupNames": [],
      "confidence": 0,
      "description": "This is a test indicator for demo purpose. Take no action on any observables set in this indicator.",
    }
  ]
}